## ros-melodic-fetch-navigation 0.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(fetch_navigation)

find_package(catkin REQUIRED)
catkin_package()

install(
  DIRECTORY config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  PROGRAMS scripts/tilt_head.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslaunch)
  roslaunch_add_file_check(launch/fetch_nav.launch)
  roslaunch_add_file_check(launch/freight_nav.launch)
endif()

=== debian/changelog ===
ros-melodic-fetch-navigation (0.8.2-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-melodic-fetch-navigation (0.8.1-1stretch) stretch; urgency=high

  * sync cmake_minimum_required: 2.8.12
  * Contributors: Alexander Moriarty

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 04 Apr 2019 07:00:00 -0000

ros-melodic-fetch-navigation (0.8.0-1stretch) stretch; urgency=high

  * [package.xml] REP-140 package format 2 (#104 <https://github.com/fetchrobotics/fetch_ros/issues/104>)
    closes #83 <https://github.com/fetchrobotics/fetch_ros/issues/83>
  * [Docs] Add URL tags to package for wiki.ros.org (#90 <https://github.com/fetchrobotics/fetch_ros/issues/90>)
    The <url> tag is required to automatically fill in at least some info
    on the wiki pages. The extra tags will create links to our docs.
  * Contributors: Alex Moriarty

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

ros-melodic-fetch-navigation (0.7.14-1stretch) stretch; urgency=high

  * updates ownership
  * Merge pull request #76 <https://github.com/fetchrobotics/fetch_ros/issues/76> from 708yamaguchi/change-amcl-param
    Localized position of fetch often jumps
  * change odom model type and params for amcl
  * Contributors: Derek, Naoya Yamaguchi, Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.13-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.12-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 02 Aug 2017 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.11-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 31 Jul 2017 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.10-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 27 Oct 2016 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.9-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 26 Jul 2016 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.8-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.7-1stretch) stretch; urgency=high

  * remove run_depend on metapackage
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.6-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 26 May 2016 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.5-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 08 May 2016 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.4-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 16 Mar 2016 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.3-1stretch) stretch; urgency=high

  * Update to new maps
  * Contributors: Aaron Blasdel

 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 05 Mar 2016 08:00:00 -0000

ros-melodic-fetch-navigation (0.7.2-1stretch) stretch; urgency=high

  * Fix location of recovery behavior parameters in yaml configs
  * Contributors: Kei Okada, Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 24 Feb 2016 08:00:00 -0000

ros-melodic-fetch-navigation (0.7.1-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 20 Jan 2016 08:00:00 -0000

ros-melodic-fetch-navigation (0.7.0-1stretch) stretch; urgency=high

  * Use fetch_maps package for maps
  * Allow overriding of move base & amcl param files
  * Contributors: Aaron Blasdel, Ian Danforth

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 29 Sep 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.6.2-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 30 Jul 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.6.1-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 03 Jul 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.6.0-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 23 Jun 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.5.14-1stretch) stretch; urgency=high

  * fetch_navigation depends fetch_depth_layer
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 19 Jun 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.5.13-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 13 Jun 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.5.12-1stretch) stretch; urgency=high

  * Slam_karto node rename in launch
  * Contributors: Aaron Blasdel

 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 12 Jun 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.5.11-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 10 Jun 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.5.10-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.5.9-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.5.8-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.5.7-1stretch) stretch; urgency=high

  * display whole global plan
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 05 Jun 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.5.6-1stretch) stretch; urgency=high

  * remap static_map service for keepout server
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 04 Jun 2015 07:00:00 -0000



=== debian/control ===
Source: ros-melodic-fetch-navigation
Section: misc
Priority: extra
Maintainer: Russell Toris <rtoris@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
Homepage: http://docs.fetchrobotics.com/navigation.html
Standards-Version: 3.9.2

Package: ros-melodic-fetch-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-amcl, ros-melodic-base-local-planner, ros-melodic-clear-costmap-recovery, ros-melodic-costmap-2d, ros-melodic-fetch-depth-layer, ros-melodic-fetch-maps, ros-melodic-map-server, ros-melodic-move-base, ros-melodic-move-base-msgs, ros-melodic-navfn, ros-melodic-rotate-recovery, ros-melodic-slam-karto, ros-melodic-voxel-grid
Description: Configuration and launch files for running ROS navigation on Fetch.

## ros-melodic-fetch-navigation 0.8.3

=== debian/changelog ===
ros-melodic-fetch-navigation (0.8.3-1bionic) bionic; urgency=high

  * Initial noetic release
  * Add launch_map_server argument in fetch_nav.launch (#147 <https://github.com/fetchrobotics/fetch_ros/issues/147>)
  * Add use_map_topic arg in fetch_nav.launch (#145 <https://github.com/fetchrobotics/fetch_ros/issues/145>)
  * Update bias/scale params (#141 <https://github.com/fetchrobotics/fetch_ros/issues/141>)
  * Add topicname args to navigation launch (#136 <https://github.com/fetchrobotics/fetch_ros/issues/136>)
  * Updates maintainers
  * Contributors: Alex Moriarty, Koki Shinjo, Michael Ferguson, Russell Toris, Shingo Kitagawa

 -- Niharika Arora <narora@fetchrobotics.com>  Sat, 06 Mar 2021 08:00:00 -0000

ros-melodic-fetch-navigation (0.8.2-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-melodic-fetch-navigation (0.8.1-1bionic) bionic; urgency=high

  * sync cmake_minimum_required: 2.8.12
  * Contributors: Alexander Moriarty

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 04 Apr 2019 07:00:00 -0000

ros-melodic-fetch-navigation (0.8.0-1bionic) bionic; urgency=high

  * [package.xml] REP-140 package format 2 (#104 <https://github.com/fetchrobotics/fetch_ros/issues/104>)
    closes #83 <https://github.com/fetchrobotics/fetch_ros/issues/83>
  * [Docs] Add URL tags to package for wiki.ros.org (#90 <https://github.com/fetchrobotics/fetch_ros/issues/90>)
    The <url> tag is required to automatically fill in at least some info
    on the wiki pages. The extra tags will create links to our docs.
  * Contributors: Alex Moriarty

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

ros-melodic-fetch-navigation (0.7.14-1bionic) bionic; urgency=high

  * updates ownership
  * Merge pull request #76 <https://github.com/fetchrobotics/fetch_ros/issues/76> from 708yamaguchi/change-amcl-param
    Localized position of fetch often jumps
  * change odom model type and params for amcl
  * Contributors: Derek, Naoya Yamaguchi, Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.13-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.12-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 02 Aug 2017 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.11-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 31 Jul 2017 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.10-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 27 Oct 2016 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.9-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 26 Jul 2016 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.8-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.7-1bionic) bionic; urgency=high

  * remove run_depend on metapackage
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.6-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 26 May 2016 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.5-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 08 May 2016 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.4-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 16 Mar 2016 07:00:00 -0000

ros-melodic-fetch-navigation (0.7.3-1bionic) bionic; urgency=high

  * Update to new maps
  * Contributors: Aaron Blasdel

 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 05 Mar 2016 08:00:00 -0000

ros-melodic-fetch-navigation (0.7.2-1bionic) bionic; urgency=high

  * Fix location of recovery behavior parameters in yaml configs
  * Contributors: Kei Okada, Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 24 Feb 2016 08:00:00 -0000

ros-melodic-fetch-navigation (0.7.1-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 20 Jan 2016 08:00:00 -0000

ros-melodic-fetch-navigation (0.7.0-1bionic) bionic; urgency=high

  * Use fetch_maps package for maps
  * Allow overriding of move base & amcl param files
  * Contributors: Aaron Blasdel, Ian Danforth

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 29 Sep 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.6.2-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 30 Jul 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.6.1-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 03 Jul 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.6.0-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 23 Jun 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.5.14-1bionic) bionic; urgency=high

  * fetch_navigation depends fetch_depth_layer
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 19 Jun 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.5.13-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 13 Jun 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.5.12-1bionic) bionic; urgency=high

  * Slam_karto node rename in launch
  * Contributors: Aaron Blasdel

 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 12 Jun 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.5.11-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 10 Jun 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.5.10-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-melodic-fetch-navigation (0.5.9-1bionic) bionic; urgency=high





=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-fetch-navigation
 Section: misc
-Priority: extra
-Maintainer: Russell Toris <rtoris@fetchrobotics.com>
+Priority: optional
+Maintainer: Niharika Arora <narora@fetchrobotics.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
 Homepage: http://docs.fetchrobotics.com/navigation.html
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-fetch-navigation//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
